# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "eth-etl-services"
version = "0.1.0"
authors = ["Evgeny Medvedev <evge.medvedev@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Business logic services for Ethereum ETL"
readme = false
keywords = [
    "ethereum",
    "blockchain",
    "etl",
    "export",
    "crypto",
]
categories = [
    "command-line-utilities",
    "database",
]
license = "MIT"
repository = "https://github.com/blockchain-etl/ethereum-etl.rs"

[lib]
name = "eth_etl_services"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.eth-etl-core]
version = "0.1.0"

[dependencies.eth-etl-mappers]
version = "0.1.0"

[dependencies.eth-etl-rpc]
version = "0.1.0"

[dependencies.hex]
version = "0.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.35"
features = ["full"]

[dependencies.tracing]
version = "0.1"
